from parallels.core.global_context import GlobalMigrationContext


class PleskGlobalMigrationContext(GlobalMigrationContext):
    """
    :type hosting_repository: parallels.plesk.hosting_repository.model.PleskHostingRepositoryModel
    :type session_files: parallels.plesk.source.plesk.session_files.PleskSessionFiles
    """
    def __init__(self):
        super(PleskGlobalMigrationContext, self).__init__()
        self.hosting_repository = None
        self.session_files = None
